Bug 31838 - Monitor goes blank while running Xconfigurator after installing XFree86-3DLabs-3.3.5-3.i386.rpm
Monitor goes blank while running Xconfigurator after installing XFree86-3DLab...
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-14 23:34 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-14 23:35:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-14 23:34:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 95; AT&T CSM6.0)

I changed my video card fro an S3 (1 meg) to a Diamond FireGL 1000. I 
installed the XFree86-3DLabs-3.3.5-3.i386.rpm (it installed according to 
the hash marks; rpm options -ivh selected). I then ran Xconfigurator to 
install the drivers. When I selected the Generic Monitor or the Generic 
Multisync Monitor and selected OK and OK again (after the warning that the 
monitor would blink) the screen simply went blank...for a long, long time. 
I had to cut the power to get out. Twice I did this...once for the generic 
and once for the generic multisycn monitor. My monitor is a KDS K-700. I 
did not uninstall the 3D driver set (ie. rpm -e)

Reproducible: Always
Steps to Reproduce:
1.install the XFree86-3DLabs server (leave the XFree86_S3) in place
2.run Xconfigurator. Select Diamond FireGL 1000. Select either the Generic 
Monitor or the Generic Multisync Monitor.
3.Select OK when warned that the monitor may blink.

Expected Results:  The monitor should have blinked (I've seen that before 
with Xconfigurator) and I should have been Queried as to whether the ouput 
looked correct. After answering YES the screen should have come back. Then 
I should have been able to start X again. X worked previously.

The computer simply will not work if you can't see the screen. The 
severity of this problem is high.
Comment 1 Mike A. Harris 2001-03-15 05:44:45 EST
We never shipped XFree86-3.3.5 with Red Hat Linux 6.2.  The version shipped
with Red Hat Linux 6.2 was XFree86-3.3.6, of which two errata releases were
issued, the latest one being XFree86-3.3.6-22 and is available on
ftp://updates.redhat.com.  Xconfigurator also has an update available.

Also ensure that your whole system is properly installed and updated with
all of the latest Red Hat 6.2 updates.  If you still have problems, submit
a new bug report being as detailed as possible, and including your X server
logs and XF86Config as file attachments using the file attachment link

Note You need to log in before you can comment on or make changes to this bug.